e
nged
BRL-CAD
BRL-CAD User Commands

# e_command

Adds the objects in the argument list to the display list so that they will appear on the MGED display. This is a synonym for the `draw` command.

        e
        -A attribute name/value pairs
        -s
        -A -oattribute name/value pairs
        -C#/#/#
        -m1
        objects

## DESCRIPTION

Adds the objects in the argument list to the display list so that they will appear on the MGED display. This is a synonym for the `draw` command; see that entry for a full list of options. The -C option provides the user a way to specify a color that overrides all other color specifications including combination colors and region-id-based colors. The -A and -o options allow the user to select objects by attribute. The -s specifies that subtracted and intersected objects should be drawn with solid lines rather than dot-dash lines. The -m1 option will display BOTs shaded if the display manager is OpenGL and the zbuffer and lighting is enabled. To enable these settings, from the MGED GUI, choose "Modes/Display Manager/OpenGL", "Misc/Z-buffer" and "Misc/Lighting". If the zbuffer and lighting is already enabled, toggle them off then back on to ensure they are enabled.

## EXAMPLES

The following examples show the use of the `e` command to draw particular objects, to specify color, to draw with shape lines rather than dot-dash lines, and to limit the objects to be drawn to those having specific attribute names and value pairs.

### Draw specific objects in the MGED display.

mged> `e object1 object2`

  Draws object1 and object2 in the MGED display.

### Limit the objects to be drawn to those having specific attribute names and value pairs.

mged>`e -A -o Comment {First comment} Comment {Second comment}`

Draws objects that have a "Comment" attribute with a value of either "First comment" or "Second comment."

## AUTHOR

BRL-CAD Team

## BUG REPORTS

Reports of bugs or problems should be submitted via electronic mail to <devs@brlcad.org>, or via the "cadbug.sh" script.